import acm.program.*;

public class Factorial extends ConsoleProgram {
	private static final int MAX_NUM = 10;
	
	public void run() {
		/* Loop, printing factorial values. */
		for (int i = 0; i < MAX_NUM; i++) {
			println(i + "! = " + factorial(i));
		}
	}
	
	/**
	 * Given n, computes n!.
	 * 
	 * @param n The number whose factorial should be computed.
	 * @return n!
	 */
	private int factorial(int n) {
		int result = 1;
		
		/* Multiply all numbers between 1 and n, inclusive, into the total. */
		for (int i = 1; i <= n; i++) {
			result *= i;
		}
		return result;
	}
}
