import acm.program.*;

public class PrimeNumbers extends ConsoleProgram {
	private static final int MAX_NUM = 50;
	
	/* Prints all prime numbers less than MAX_NUM. */
	public void run() {
		for (int i = 0; i < MAX_NUM; i++) {
			if (isPrime(i)) {
				println(i);
			}
		}
	}
	
	
	/**
	 * Determines whether n is a prime number.
	 * 
	 * @param n The input number.
	 * @return Whether n is prime.
	 */
	private boolean isPrime(int n) {
		/* No numbers less than 2 are prime. */
		if (n <= 1) {
			return false;
		}
		
		/* This is called the "trial division" algorithm. We try
		 * dividing n by all numbers from 2 up to n - 1, inclusive,
		 * to see if it has any divisors.
		 */
		for (int i = 2; i < n; i++) {
			if (n % i == 0) {
				return false;
			}
		}
		
		/* If we get here, then we've tried all divisors and none came
		 * out cleanly. The number n must be prime!
		 */
		return true;
	}
}
